﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WifiAutomation {
    class Network {

        public static int CONNECT = 0;
        public static int DISCONNECT = 1;
        public static String[] TRIGGER_SHORT = { "Connect", "Disconnect"};
        public static String[] TRIGGER_LONG = { "Network connected", "Network disconnected"};

        public String ssid = "";
        public String profile = "";
        public int trigger = 0;

        public Network(String ssid, String profile, int trigger) {
            this.ssid = ssid;
            this.profile = profile;
            this.trigger = trigger;
        }

        public Network(String ssid, String profile, String trigger) {
            this.ssid = ssid;
            this.profile = profile;
            for(int i = 0; i < TRIGGER_SHORT.Length; i++) {
                if(trigger == TRIGGER_SHORT[i])
                    this.trigger = i;
            }
        }
    }
}
