﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Threading;
using System.Diagnostics;
using System.Runtime.InteropServices;

namespace WifiAutomation {
    static class Program {

        [DllImport("user32.dll")]
        [return: MarshalAs(UnmanagedType.Bool)]
        static extern bool SetForegroundWindow(IntPtr hWnd);

        [STAThread]
        static void Main(String[] args) {
            bool createdNew;
            Mutex m = new Mutex(true, "Wifi Automation", out createdNew);
            if (createdNew) {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                if (args.Length > 0 && args[0] == "/debug")
                    Application.Run(new frmMain(frmMain.DebugMode.FILE));
                else
                    Application.Run(new frmMain(frmMain.DebugMode.CONSOLE));
                m.ReleaseMutex();
            }
        }
    }
}
